# ncurses 5.9 - patch 20121110 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20121110.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Nov 11 01:22:06 UTC 2012
# ------------------------------------------------------------------------------
# Ada95/aclocal.m4         |   18 +++++++++---------
# Ada95/configure          |   14 +++++++-------
# NEWS                     |   11 ++++++++++-
# aclocal.m4               |   18 +++++++++---------
# configure                |   14 +++++++-------
# dist.mk                  |    4 ++--
# misc/ncurses-config.in   |   36 ++++++++++++++++++++++++++++++------
# misc/terminfo.src        |    8 ++++----
# package/debian/changelog |    4 ++--
# package/ncurses.spec     |    2 +-
# 10 files changed, 81 insertions(+), 48 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/aclocal.m4
Prereq:  1.60 
--- ncurses-5.9-20121102+/Ada95/aclocal.m4	2012-10-27 17:18:49.000000000 +0000
+++ ncurses-5.9-20121110/Ada95/aclocal.m4	2012-11-11 00:18:37.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: aclocal.m4,v 1.60 2012/10/27 17:18:49 tom Exp $
+dnl $Id: aclocal.m4,v 1.62 2012/11/11 00:18:37 tom Exp $
 dnl Macros used in NCURSES Ada95 auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -1548,7 +1548,7 @@
 [AC_DIVERT_HELP([$1])dnl
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_INCLUDE_DIRS version: 6 updated: 2009/01/06 19:37:40
+dnl CF_INCLUDE_DIRS version: 7 updated: 2012/11/10 19:15:05
 dnl ---------------
 dnl Construct the list of include-options according to whether we're building
 dnl in the source directory or using '--srcdir=DIR' option.  If we're building
@@ -1556,21 +1556,21 @@
 dnl since that usually breaks gcc's shadow-includes.
 AC_DEFUN([CF_INCLUDE_DIRS],
 [
-CPPFLAGS="$CPPFLAGS -I. -I../include"
-if test "$srcdir" != "."; then
-	CPPFLAGS="$CPPFLAGS -I\${srcdir}/../include"
-fi
 if test "$GCC" != yes; then
-	CPPFLAGS="$CPPFLAGS -I\${includedir}"
+	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
 		if test $prefix != /usr ; then
-			CPPFLAGS="$CPPFLAGS -I\${includedir}"
+			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
-		CPPFLAGS="$CPPFLAGS -I\${includedir}"
+		CPPFLAGS="-I\${includedir} $CPPFLAGS"
 	fi
 fi
+if test "$srcdir" != "."; then
+	CPPFLAGS="-I\${srcdir}/../include $CPPFLAGS"
+fi
+CPPFLAGS="-I. -I../include $CPPFLAGS"
 AC_SUBST(CPPFLAGS)
 ])dnl
 dnl ---------------------------------------------------------------------------
Index: Ada95/configure
--- ncurses-5.9-20121102+/Ada95/configure	2012-10-27 17:18:59.000000000 +0000
+++ ncurses-5.9-20121110/Ada95/configure	2012-11-11 00:18:53.000000000 +0000
@@ -11815,21 +11815,21 @@
 
 ### Construct the list of include-directories to be generated
 
-CPPFLAGS="$CPPFLAGS -I. -I../include"
-if test "$srcdir" != "."; then
-	CPPFLAGS="$CPPFLAGS -I\${srcdir}/../include"
-fi
 if test "$GCC" != yes; then
-	CPPFLAGS="$CPPFLAGS -I\${includedir}"
+	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
 		if test $prefix != /usr ; then
-			CPPFLAGS="$CPPFLAGS -I\${includedir}"
+			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
-		CPPFLAGS="$CPPFLAGS -I\${includedir}"
+		CPPFLAGS="-I\${includedir} $CPPFLAGS"
 	fi
 fi
+if test "$srcdir" != "."; then
+	CPPFLAGS="-I\${srcdir}/../include $CPPFLAGS"
+fi
+CPPFLAGS="-I. -I../include $CPPFLAGS"
 
 ACPPFLAGS="-I. -I../include -I../../include $ACPPFLAGS"
 if test "$srcdir" != "."; then
Index: NEWS
Prereq:  1.1971 
--- ncurses-5.9-20121102+/NEWS	2012-11-03 23:02:35.000000000 +0000
+++ ncurses-5.9-20121110/NEWS	2012-11-10 21:44:29.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1971 2012/11/03 23:02:35 tom Exp $
+-- $Id: NEWS,v 1.1973 2012/11/10 21:44:29 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,15 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20121110
+	+ modify configure macro CF_INCLUDE_DIRS to put $CPPFLAGS after the
+	  local -I include options in case someone has set conflicting -I
+	  options in $CPPFLAGS (prompted by patch for ncurses/Makefile.in by
+	  Vassili Courzakis).
+	+ modify the ncurses*-config scripts to eliminate relative paths from
+	  the RPATH_LIST variable, e.g., "../lib" as used in installing shared
+	  libraries or executables.
+
 20121102
 	+ realign these related pages:
 	    curs_add_wchstr.3x
Index: aclocal.m4
Prereq:  1.640 
--- ncurses-5.9-20121102+/aclocal.m4	2012-11-03 19:39:23.000000000 +0000
+++ ncurses-5.9-20121110/aclocal.m4	2012-11-11 00:17:28.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.640 2012/11/03 19:39:23 tom Exp $
+dnl $Id: aclocal.m4,v 1.643 2012/11/11 00:17:28 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -2716,7 +2716,7 @@
 [AC_DIVERT_HELP([$1])dnl
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_INCLUDE_DIRS version: 6 updated: 2009/01/06 19:37:40
+dnl CF_INCLUDE_DIRS version: 7 updated: 2012/11/10 19:15:05
 dnl ---------------
 dnl Construct the list of include-options according to whether we're building
 dnl in the source directory or using '--srcdir=DIR' option.  If we're building
@@ -2724,21 +2724,21 @@
 dnl since that usually breaks gcc's shadow-includes.
 AC_DEFUN([CF_INCLUDE_DIRS],
 [
-CPPFLAGS="$CPPFLAGS -I. -I../include"
-if test "$srcdir" != "."; then
-	CPPFLAGS="$CPPFLAGS -I\${srcdir}/../include"
-fi
 if test "$GCC" != yes; then
-	CPPFLAGS="$CPPFLAGS -I\${includedir}"
+	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
 		if test $prefix != /usr ; then
-			CPPFLAGS="$CPPFLAGS -I\${includedir}"
+			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
-		CPPFLAGS="$CPPFLAGS -I\${includedir}"
+		CPPFLAGS="-I\${includedir} $CPPFLAGS"
 	fi
 fi
+if test "$srcdir" != "."; then
+	CPPFLAGS="-I\${srcdir}/../include $CPPFLAGS"
+fi
+CPPFLAGS="-I. -I../include $CPPFLAGS"
 AC_SUBST(CPPFLAGS)
 ])dnl
 dnl ---------------------------------------------------------------------------
Index: configure
--- ncurses-5.9-20121102+/configure	2012-11-03 19:44:50.000000000 +0000
+++ ncurses-5.9-20121110/configure	2012-11-10 22:11:49.000000000 +0000
@@ -19460,21 +19460,21 @@
 
 ### Construct the list of include-directories to be generated
 
-CPPFLAGS="$CPPFLAGS -I. -I../include"
-if test "$srcdir" != "."; then
-	CPPFLAGS="$CPPFLAGS -I\${srcdir}/../include"
-fi
 if test "$GCC" != yes; then
-	CPPFLAGS="$CPPFLAGS -I\${includedir}"
+	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
 		if test $prefix != /usr ; then
-			CPPFLAGS="$CPPFLAGS -I\${includedir}"
+			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
-		CPPFLAGS="$CPPFLAGS -I\${includedir}"
+		CPPFLAGS="-I\${includedir} $CPPFLAGS"
 	fi
 fi
+if test "$srcdir" != "."; then
+	CPPFLAGS="-I\${srcdir}/../include $CPPFLAGS"
+fi
+CPPFLAGS="-I. -I../include $CPPFLAGS"
 
 ACPPFLAGS="-I. -I../include -I../../include $ACPPFLAGS"
 if test "$srcdir" != "."; then
Index: dist.mk
Prereq:  1.899 
--- ncurses-5.9-20121102+/dist.mk	2012-11-03 14:12:24.000000000 +0000
+++ ncurses-5.9-20121110/dist.mk	2012-11-10 21:02:17.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.899 2012/11/03 14:12:24 tom Exp $
+# $Id: dist.mk,v 1.900 2012/11/10 21:02:17 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20121102
+NCURSES_PATCH = 20121110
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: misc/ncurses-config.in
Prereq:  1.28 
--- ncurses-5.9-20121102+/misc/ncurses-config.in	2012-08-11 21:45:20.000000000 +0000
+++ ncurses-5.9-20121110/misc/ncurses-config.in	2012-11-11 00:14:28.000000000 +0000
@@ -1,7 +1,7 @@
 #!@SHELL@
-# $Id: ncurses-config.in,v 1.28 2012/08/11 21:45:20 tom Exp $
+# $Id: ncurses-config.in,v 1.30 2012/11/11 00:14:28 tom Exp $
 ##############################################################################
-# Copyright (c) 2006-2010,2011 Free Software Foundation, Inc.                #
+# Copyright (c) 2006-2011,2012 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -30,6 +30,11 @@
 #
 # Author: Thomas E. Dickey, 2006-on
 
+LANG=C;		export LANG
+LANGUAGE=C;	export LANGUAGE
+LC_ALL=C;	export LC_ALL
+LC_CTYPE=C;	export LC_CTYPE
+
 prefix="@prefix@"
 exec_prefix="@exec_prefix@"
 
@@ -44,10 +49,29 @@
 TINFO_LIB="@TINFO_ARG_SUFFIX@"
 RPATH_LIST="@RPATH_LIST@"
 
-LANG=C;		export LANG
-LANGUAGE=C;	export LANGUAGE
-LC_ALL=C;	export LC_ALL
-LC_CTYPE=C;	export LC_CTYPE
+# Ensure that RPATH_LIST contains only absolute pathnames, if it is nonempty.
+# We cannot filter it out within the build-process since the variable is used
+# in some special cases of installation using a relative path.
+if test -n "$RPATH_LIST"
+then
+	save_IFS="$IFS"
+	IFS='@PATH_SEPARATOR@'
+	filtered=
+	for item in $RPATH_LIST
+	do
+		case "$item" in
+		./*|../*|*/..|*/../*)
+			;;
+		*)
+			test -n "$filtered" && filtered="${filtered}@PATH_SEPARATOR@"
+			filtered="${filtered}${item}"
+			;;
+		esac
+	done
+	IFS="$save_IFS"
+	# if the result is empty, there is little we can do to fix it
+	RPATH_LIST="$filtered"
+fi
 
 # with --disable-overwrite, we installed into a subdirectory, but transformed
 # the headers to include like this:
Index: misc/terminfo.src
--- ncurses-5.9-20121102+/misc/terminfo.src	2012-11-03 18:58:05.000000000 +0000
+++ ncurses-5.9-20121110/misc/terminfo.src	2012-11-04 15:59:03.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.469 $
-#	$Date: 2012/11/03 18:58:05 $
+#	$Revision: 1.470 $
+#	$Date: 2012/11/04 15:59:03 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -4826,7 +4826,7 @@
 	ccc@,
 	initc@, use=xterm+256color, use=simpleterm,
 
-### TERMINATOR
+#### TERMINATOR
 # http://software.jessies.org/terminator/
 # Tested using their Debian package org.jessies.terminator 6.104.3256 on 64-bit
 # Debian/current -TD (2011/8/20)
@@ -22741,7 +22741,7 @@
 # 2009-12-12
 #	* updated nsterm* entries (Benjamin Sittler, Emanuele Giaquinta)
 #
-# 2009-12-12
+# 2009-12-19
 #	* add bw (auto-left-margin) to nsterm* entries (Benjamin Sittler)
 #	* rename minix to minix-1.7, add minix entry for Minux3 -TD
 #
Index: package/debian/changelog
--- ncurses-5.9-20121102+/package/debian/changelog	2012-11-03 19:21:57.000000000 +0000
+++ ncurses-5.9-20121110/package/debian/changelog	2012-11-10 21:02:45.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20121102) unstable; urgency=low
+ncurses6 (5.9-20121110) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 Nov 2012 15:21:53 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 10 Nov 2012 16:02:42 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20121102+/package/ncurses.spec	2012-11-03 19:21:39.000000000 +0000
+++ ncurses-5.9-20121110/package/ncurses.spec	2012-11-10 21:02:25.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20121102
+Version: 20121110
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
